Loading...
Searching...
No Matches
seqan3::align_cfg::output_sequence2_id Class Reference
Sequence Alignment » Configuration

Configures the alignment result to output the id of the second sequence. More...

`#include <seqan3/alignment/configuration/align_config_output.hpp>`

Inheritance diagram for seqan3::align_cfg::output_sequence2_id:
[legend]

## Public Member Functions

Constructor, destructor and assignment
constexpr | output_sequence2_id ()=default
| Defaulted.
constexpr | output_sequence2_id (output_sequence2_id const &)=default
| Defaulted.
constexpr | output_sequence2_id (output_sequence2_id &&)=default
| Defaulted.
constexpr output_sequence2_id & | operator= (output_sequence2_id const &)=default
| Defaulted.
constexpr output_sequence2_id & | operator= (output_sequence2_id &&)=default
| Defaulted.
| ~output_sequence2_id ()=default
| Defaulted.

## Detailed Description

Configures the alignment result to output the id of the second sequence.

This option forces the alignment to output the id of the second sequence.

If this option is not set in the alignment configuration, accessing the id of the second sequence via the seqan3::alignment_result object is forbidden and will lead to a compile time error.

### Example

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alignment/configuration/align_config_output.hpp>
int main()
{
// Output only the id of the second sequence.
seqan3::configuration cfg = seqan3::align_cfg::output_sequence2_id{};
}
align_config_output.hpp
Provides configuration for alignment output.
seqan3::align_cfg::output_sequence2_id
Configures the alignment result to output the id of the second sequence.
Definition align_config_output.hpp:247
seqan3::configuration
Collection of elements to configure an algorithm.
Definition configuration.hpp:42

See also
  seqan3::align_cfg::output_score
  seqan3::align_cfg::output_end_position
  seqan3::align_cfg::output_begin_position
  seqan3::align_cfg::output_alignment
  seqan3::align_cfg::output_sequence1_id

The documentation for this class was generated from the following file:

- align_config_output.hpp

Hide me